Last Comment Bug 1059784 - (ServiceWorkers-v1) [meta] Ship Service Workers on desktop on the release channel
(ServiceWorkers-v1)
: [meta] Ship Service Workers on desktop on the release channel
Status: RESOLVED FIXED
: dev-doc-complete, meta
Product: Core
Classification: Components
Component: DOM: Service Workers (show other bugs)
: unspecified
: All All
-- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
: ServiceWorkers-Android (view as bug list)
Depends on: 654579 AsyncIDB NavigationController 931249 984050 995484 1037739 1040924 1041339 1041340 1043701 1052935 1052936 1058311 1065216 1080109 1080110 1092832 1098327 serviceworker-cache 1112469 1113003 1113515 1113577 1113582 1113587 1113619 1113621 1113627 1113631 1115820 1119729 1119763 1121157 1122161 1122917 1123593 1123675 1124170 1126483 1130065 1130686 1130688 1130803 1131271 1131352 1131874 1131882 1132141 1132673 1133238 1133242 1133541 1133763 1133805 1134324 1134325 1134841 1134843 1134951 1136044 1136066 1136200 1136467 1136627 1136757 1136780 1137287 1137398 1137408 1137419 1137477 1137816 1138916 1139425 1139513 1139561 1139990 1140782 1141256 1141274 1142015 1142727 1142803 1143981 1146158 1146169 1147746 1147866 1148942 1152508 1153484 1154268 1154900 1156847 1157283 1157467 1157619 1157943 1158728 1158735 1159274 1159378 1159407 1159813 1162018 1162088 1163545 1163829 1163945 1164065 1166504 1167296 1167325 1167808 1167809 1168208 1170550 1170822 1170937 1171486 1172110 1172542 1172884 1172948 1173240 1173361 1173378 1173811 1173912 1173934 1174301 1174381 1174872 1175570 1176988 1178508 1179197 1179396 1179397 1179399 1179401 1179567 1179685 1179706 1179772 1179848 1180765 1180886 1181887 1182087 1182091 1182103 1182112 1182113 1182118 1182120 1183162 1183983 1184557 1184798 1184855 1184967 1185558 1185640 1186589 1187347 1187350 1187470 1187766 1187950 1188062 1189534 1189659 1190703 1193767 1193911 1194847 1194848 1194881 1197421 1198078 1198394 1199049 1200053 1200677 1201498 1201747 1201962 1202001 1202085 1203359 1203680 1203760 1204596 1205302 1205321 1205676 1206124 1206185 1206298 1207727 1208559 1210077 1210609 1212904 1213150 1214772 1215140 1215230 1215601 1216697 1217367 1217501 1217909 1218135 1218139 1218142 1218146 1218499 1219852 1220261 1220678 1220728 1221279 1221351 1222619 1223116 1223378 1224941 1226441 1226686 1227932
Blocks: html5test ServiceWorkers 1122637 857464 868322 1038811 1050924 1114554 1130101 ServiceWorkers-B2G WADI ServiceWorkers-Android 1207265
  Show dependency treegraph
 
Reported: 2014-08-28 06:53 PDT by Andrew Overholt [:overholt]
Modified: 2016-03-07 02:20 PST (History)
39 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
44+


Attachments

Description User image Andrew Overholt [:overholt] 2014-08-28 06:53:30 PDT
We plan to deliver a large chunk of Service Worker functionality by the end of September 2014 on mozilla-central.  This bug tracks that "minimum viable" set of functionality.

It will be exposed behind a pref (as it is now): dom.serviceWorkers.enabled.
Comment 1 User image Andrew Overholt [:overholt] 2014-08-28 06:55:23 PDT
Blink's SW MVP is here:  https://docs.google.com/presentation/d/1cEaaofqtL-MC9QyGwIRktuWgRuH3owsncYsDZbu8WNQ/edit#slide=id.p
Comment 2 User image Andrew Overholt [:overholt] 2014-11-14 08:16:55 PST
(In reply to Andrew Overholt [:overholt] from comment #0)
> We plan to deliver a large chunk of Service Worker functionality by the end
> of September 2014 on mozilla-central.  This bug tracks that "minimum viable"
> set of functionality.
> 
> It will be exposed behind a pref (as it is now): dom.serviceWorkers.enabled.

Obviously we didn't make the end of September date but work is still progressing on Maple:  https://treeherder.mozilla.org/ui/#/jobs?repo=maple
Comment 3 User image Lawrence Mandel [:lmandel] (use needinfo) 2015-06-12 12:29:44 PDT
Release Note Request (optional, but appreciated)
[Why is this notable]: Shipping Service Workers
[Suggested wording]:
[Links (documentation, blog post, etc)]:

I'm going to need help with the note when the time comes to note this.
Comment 4 User image Ritu Kothari (:ritu) 2015-06-30 15:49:10 PDT
Ehsan, Andrew: Would you be able to provide a suggested wording on this one for inclusion in release notes for Firefox 41? Thanks in advance!
Comment 5 User image Ben Kelly [not reviewing due to deadline][:bkelly] 2015-07-01 09:01:44 PDT
Ritu, we decided not to ship this in FF41.  So I don't think it should not be included in the release notes.
Comment 6 User image Ritu Kothari (:ritu) 2015-07-01 17:08:52 PDT
(In reply to Ben Kelly [:bkelly] from comment #5)
> Ritu, we decided not to ship this in FF41.  So I don't think it should not
> be included in the release notes.

Got it. Thanks!
Comment 7 User image Liz Henry (:lizzard) (needinfo? me) 2015-09-17 15:14:44 PDT
Release Note Request (optional, but appreciated)
[Why is this notable]: suggested by dev team
[Suggested wording]: 	Service worker network interception via FetchEvent enabled
[Links (documentation, blog post, etc)]:   https://developer.mozilla.org/en-US/docs/Web/API/FetchEvent or maybe the main MDN service workers page?

Let me know if you want different wording and whether to link to the FetchEvent page or not. Thanks!
Comment 8 User image :Ehsan Akhgari 2015-09-18 07:32:31 PDT
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #7)
> Release Note Request (optional, but appreciated)
> [Why is this notable]: suggested by dev team
> [Suggested wording]: 	Service worker network interception via FetchEvent
> enabled
> [Links (documentation, blog post, etc)]:  
> https://developer.mozilla.org/en-US/docs/Web/API/FetchEvent or maybe the
> main MDN service workers page?
> 
> Let me know if you want different wording and whether to link to the
> FetchEvent page or not. Thanks!

I think we want to make it clear that this is available in Aurora, since we have not yet made the final call as to whether to let it ride the train all the way to 43 release.
Comment 9 User image Andrew Overholt [:overholt] 2015-09-22 11:21:24 PDT
I split bugs specific to Firefox for Android off into bug 1207262.
Comment 10 User image Liz Henry (:lizzard) (needinfo? me) 2015-10-30 10:15:32 PDT
Ehsan, just double checking -- is this still enabled for 43 beta?  I want to make sure to remove the release note if it isn't.
Comment 11 User image Ben Kelly [not reviewing due to deadline][:bkelly] 2015-10-30 10:19:03 PDT
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #10)
> Ehsan, just double checking -- is this still enabled for 43 beta?  I want to
> make sure to remove the release note if it isn't.

Its not enabled in 43 beta.  Please remove from release notes.
Comment 12 User image Liz Henry (:lizzard) (needinfo? me) 2015-10-30 10:22:08 PDT
Thanks, I overlooked that note. Fixed now.
Comment 13 User image :Ehsan Akhgari 2015-12-30 17:03:30 PST
We're shipping in 44.
Comment 14 User image :Ehsan Akhgari 2015-12-30 17:05:20 PST
*** Bug 1207262 has been marked as a duplicate of this bug. ***
Comment 15 User image Sylvestre Ledru [:sylvestre] 2016-01-25 07:27:20 PST
Added to the release notes with "Service Workers API" as wording
Comment 16 User image Chris Mills (Mozilla, MDN editor) [:cmills] 2016-03-07 02:20:45 PST
Browser compat info updated on MDN:

https://developer.mozilla.org/en-US/docs/Web/API/Service_Worker_API
https://developer.mozilla.org/en-US/Firefox/Releases/44#Service_Workers

So I'm ddc'ing this bug

Note You need to log in before you can comment on or make changes to this bug.